PHPExcel

# Class: TestMatrix

Source Location: /PHPExcel/Shared/JAMA/tests/TestMatrix.php

### Class Overview

### Methods

- TestMatrix
- checkArrays
- checkMatrices
- checkScalars
- checkVectors
- try_failure
- try_success
- try_warning

### Class Details

[line 5]
[ Top ]

### Class Methods

### constructor TestMatrix [line 7]

`TestMatrix TestMatrix( )`

[ Top ]

### method checkArrays [line 385]

`void checkArrays( $x, $y, float $x[][], float $y[][])`

Check norm of difference of "arrays".

#### Parameters:

float | $x[][] |
float | $y[][] |
| $x |
| $y |

[ Top ]

### method checkMatrices [line 396]

`void checkMatrices( [matrix $X = null], [matrix $Y = null])`

Check norm of difference of "matrices".

#### Parameters:

matrix | $X |
matrix | $Y |

[ Top ]

### method checkScalars [line 355]

`void checkScalars( float $x, float $y)`

Check magnitude of difference of "scalars".

#### Parameters:

float | $x |
float | $y |

[ Top ]

### method checkVectors [line 370]

`void checkVectors( $x, $y, float $x[], float $y[])`

Check norm of difference of "vectors".

#### Parameters:

float | $x[] |
float | $y[] |
| $x |
| $y |

[ Top ]

### method try_failure [line 333]

`int try_failure( int $count, string $s, [string $e = ""])`

Print appropriate messages for unsuccessful outcome try

#### Tags:

return: | incremented counter

#### Parameters:

int | $count |
string | $s |
string | $e |

[ Top ]

### method try_success [line 320]

`void try_success( string $s, [string $e = ""])`

Print appropriate messages for successful outcome try

#### Parameters:

string | $s |
string | $e |

[ Top ]

### method try_warning [line 345]

`int try_warning( int $count, string $s, [string $e = ""])`

Print appropriate messages for unsuccessful outcome try

#### Tags:

return: | incremented counter

#### Parameters:

int | $count |
string | $s |
string | $e |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:10 +0200 by phpDocumentor 1.4.4